lzth.net
当前位置:首页 >> jquEry1.x和2.x在调用上有区别么 >>

jquEry1.x和2.x在调用上有区别么

1.x:兼容ie678,使用最为广泛的;2.x:不兼容ie678,很少有人使用;3.x:不兼容ie678,只支持最新的浏览器。所以用的最多的还说1.x版本,虽然已经停止更新了

2.0不再支持IE6/7/8, 调用上无区别, 兼容1.9的API, 内核发生了变化. 1.x分支会继续发展下去.

jquery2.x版本与1.x版本差别最大的就是浏览器兼容性问题 JQuery2.x已经不支持IE低版本浏览器,如IE6、7、8 其他的API用法差不多,如果项目只需要支持高版本浏览器,可以使用2.x,否则只能使用1.x

有些函数2.x不兼容1.x兼容,有些则是3.x不兼容2.x兼容,自己看看所有的版本兼容哪些函数。

jQuery选择1.11版本,比较稳定,兼容性比较好一些

要兼容ie6,7,8,9的就用1.x版本 不用兼容的话,你可以使用最新版

jQuery1.x对IE6,7,8还支持,而jQuery2.x不再对IE8或更早的浏览器支持。 见jQuery官方网站,http://jquery.com/download/

亲,还没有什么最后的版本,一直都还在更新,现在最新的是1.11.1

jQuery1.x对IE6,7,8还支持,而jQuery2.x不再对IE8或更早的浏览器支持。

网站首页 | 网站地图
All rights reserved Powered by www.lzth.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com